Debian Bug report logs - #612738
eclipse-platform: Cannot Install Eclipse in Sid (Dependencies)

version graph

Package: eclipse-platform; Maintainer for eclipse-platform is Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>; Source for eclipse-platform is src:eclipse.

Reported by: Martin Gallant <snowbird@goodbit.net>

Date: Thu, 10 Feb 2011 11:15:01 UTC

Severity: serious

Tags: confirmed, sid

Found in version eclipse/3.5.2-8

Fixed in version eclipse/3.5.2-9

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#612738; Package eclipse-platform. (Thu, 10 Feb 2011 11:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Gallant <snowbird@goodbit.net>:
New Bug report received and forwarded. Copy sent to Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 10 Feb 2011 11:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Gallant <snowbird@goodbit.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: eclipse-platform: Cannot Install Eclipse in Sid (Dependencies)
Date: Thu, 10 Feb 2011 05:12:55 -0600
Package: eclipse-platform
Version: 3.5.2-8
Severity: important
Tags: sid



 eclipse-platform : Depends: sat4j (< 2.2.1) but 2.2.3-1 is to be installed



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages eclipse-platform depends on:
ii  ant                           1.8.0-4    Java based build tool like make
pn  ant-optional                  <none>     (no description available)
pn  eclipse-platform-data         <none>     (no description available)
pn  eclipse-rcp                   <none>     (no description available)
ii  java-common                   0.40       Base of all Java packages
ii  libc6                         2.11.2-11  Embedded GNU C Library: Shared lib
pn  libcommons-codec-java         <none>     (no description available)
pn  libcommons-el-java            <none>     (no description available)
pn  libcommons-httpclient-java    <none>     (no description available)
pn  libcommons-logging-java       <none>     (no description available)
pn  libjasper-java                <none>     (no description available)
pn  libjetty-java                 <none>     (no description available)
pn  libjsch-java                  <none>     (no description available)
pn  liblucene2-java               <none>     (no description available)
pn  libservlet2.5-java            <none>     (no description available)
ii  perl                          5.10.1-17  Larry Wall's Practical Extraction 
ii  sat4j                         2.2.3-1    Efficient library of SAT solvers i
ii  sun-java6-jre [java6-runtime] 6.23-1     Sun Java(TM) Runtime Environment (

eclipse-platform recommends no packages.

Versions of packages eclipse-platform suggests:
pn  eclipse-jdt                   <none>     (no description available)
pn  eclipse-pde                   <none>     (no description available)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#612738; Package eclipse-platform. (Thu, 10 Feb 2011 11:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 10 Feb 2011 11:30:06 GMT) Full text and rfc822 format available.

Message #10 received at 612738@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Martin Gallant <snowbird@goodbit.net>, 612738@bugs.debian.org
Subject: Re: Bug#612738: eclipse-platform: Cannot Install Eclipse in Sid (Dependencies)
Date: Thu, 10 Feb 2011 12:24:30 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

severity 612738 serious
tags 612738 + confirmed
thanks

On 2011-02-10 12:12, Martin Gallant wrote:
> Package: eclipse-platform
> Version: 3.5.2-8
> Severity: important
> Tags: sid
> 
> 
> 
>  eclipse-platform : Depends: sat4j (< 2.2.1) but 2.2.3-1 is to be installed
> 

Yupe and that avoids #587657 for people with eclipse already installed.
You can pull sat4j from testing, which will work with eclipse 3.5.2-8 or
wait until we get eclipse updated to run with sat4j 2.2.3.
  Sorry for the inconvenience, but in our experience it is easier to
handle than the "silent" breakage caused by #587657.

> 
> [...]


~Niels

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJNU8rtAAoJEAVLu599gGRCNowQALJIVrobDKZncAoD7Hbpym9L
mtrp8j9MMT8j5lAUrtTwNBKnF+5bqwVjGOk3vX+tStsYlxYc187vQTwIjO+DROF5
7phHyM3UsEWPcs+1SpNVoaIxnAEO7cQjbBR7StSmIJ1RpVR5FQZnhBIxg4SbDl0E
V4P/lAjYxmwdcoe/4F3Dg05oGQ1T34Lq32Y4rto4r8Ufefj3h/Irav2pftanGF8c
IY6eqo95Dd66Uqc7I43TLSFM4qsor8q1xSnm8svWoZlXVoWnls6y0oAbVXdzAu9l
LwvJGf9S6IjJ9TL6YbJL+TiXCEov2nEfjeM3/vRzQv2fHwC4b8PhQw13DgD6mMR5
5WI0v0Lrq2w3W5omDuudxBEVS4BSFQd/U1f3MUUtPk+lCgx+XiAYo8ceZBa6PM4e
4zU/x2mFFb/MdJ0fc6K0KcNwod19gQMcbeO4Z3mEJHNXhAKV0n8JWGSE6P/DMeCd
3enaQw2YBbHaH+hde71Wjn2QLZOM78OnDsurxsmPkQVSI1aaP8BIrX4DbH0pe5Md
qbQaRIIqrmp8tH7+29RzPplarcql9hEebL3oYrMOv9D/P2WnCFtXkPcVzaWdigO2
LAtVdkwB8LA3Pn2Gi2354zfT+r4hSxVsAznavW4AxBgKiH1qUsptNA5Gw0kb7Ya0
13BowVQX4/tu1fAKLBje
=ecJR
-----END PGP SIGNATURE-----




Severity set to 'serious' from 'important' Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 10 Feb 2011 11:30:07 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 10 Feb 2011 11:30:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#612738; Package eclipse-platform. (Thu, 10 Feb 2011 12:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to <snowbird@goodbit.net>:
Extra info received and forwarded to list. Copy sent to Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 10 Feb 2011 12:00:09 GMT) Full text and rfc822 format available.

Message #19 received at 612738@bugs.debian.org (full text, mbox):

From: <snowbird@goodbit.net>
To: <612738@bugs.debian.org>
Subject: RE: Bug#612738: eclipse-platform: Cannot Install Eclipse in Sid (Dependencies)
Date: Thu, 10 Feb 2011 05:57:12 -0600
Downgrading to sat4j=2.2.0-3 did the trick.

Thanks for the quick workaround.

--
Marty

-----Original Message-----
From: Niels Thykier [mailto:niels@thykier.net] 
Sent: Thursday, February 10, 2011 5:25 AM
To: Martin Gallant; 612738@bugs.debian.org
Subject: Re: Bug#612738: eclipse-platform: Cannot Install Eclipse in Sid
(Dependencies)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

severity 612738 serious
tags 612738 + confirmed
thanks

On 2011-02-10 12:12, Martin Gallant wrote:
> Package: eclipse-platform
> Version: 3.5.2-8
> Severity: important
> Tags: sid
> 
> 
> 
>  eclipse-platform : Depends: sat4j (< 2.2.1) but 2.2.3-1 is to be
installed
> 

Yupe and that avoids #587657 for people with eclipse already installed.
You can pull sat4j from testing, which will work with eclipse 3.5.2-8 or
wait until we get eclipse updated to run with sat4j 2.2.3.
  Sorry for the inconvenience, but in our experience it is easier to
handle than the "silent" breakage caused by #587657.

> 
> [...]


~Niels

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJNU8rtAAoJEAVLu599gGRCNowQALJIVrobDKZncAoD7Hbpym9L
mtrp8j9MMT8j5lAUrtTwNBKnF+5bqwVjGOk3vX+tStsYlxYc187vQTwIjO+DROF5
7phHyM3UsEWPcs+1SpNVoaIxnAEO7cQjbBR7StSmIJ1RpVR5FQZnhBIxg4SbDl0E
V4P/lAjYxmwdcoe/4F3Dg05oGQ1T34Lq32Y4rto4r8Ufefj3h/Irav2pftanGF8c
IY6eqo95Dd66Uqc7I43TLSFM4qsor8q1xSnm8svWoZlXVoWnls6y0oAbVXdzAu9l
LwvJGf9S6IjJ9TL6YbJL+TiXCEov2nEfjeM3/vRzQv2fHwC4b8PhQw13DgD6mMR5
5WI0v0Lrq2w3W5omDuudxBEVS4BSFQd/U1f3MUUtPk+lCgx+XiAYo8ceZBa6PM4e
4zU/x2mFFb/MdJ0fc6K0KcNwod19gQMcbeO4Z3mEJHNXhAKV0n8JWGSE6P/DMeCd
3enaQw2YBbHaH+hde71Wjn2QLZOM78OnDsurxsmPkQVSI1aaP8BIrX4DbH0pe5Md
qbQaRIIqrmp8tH7+29RzPplarcql9hEebL3oYrMOv9D/P2WnCFtXkPcVzaWdigO2
LAtVdkwB8LA3Pn2Gi2354zfT+r4hSxVsAznavW4AxBgKiH1qUsptNA5Gw0kb7Ya0
13BowVQX4/tu1fAKLBje
=ecJR
-----END PGP SIGNATURE-----





Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Fri, 11 Feb 2011 14:39:21 GMT) Full text and rfc822 format available.

Notification sent to Martin Gallant <snowbird@goodbit.net>:
Bug acknowledged by developer. (Fri, 11 Feb 2011 14:39:21 GMT) Full text and rfc822 format available.

Message #24 received at 612738-close@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 612738-close@bugs.debian.org
Subject: Bug#612738: fixed in eclipse 3.5.2-9
Date: Fri, 11 Feb 2011 14:34:43 +0000
Source: eclipse
Source-Version: 3.5.2-9

We believe that the bug you reported is fixed in the latest version of
eclipse, which is due to be installed in the Debian FTP archive:

eclipse-jdt_3.5.2-9_i386.deb
  to main/e/eclipse/eclipse-jdt_3.5.2-9_i386.deb
eclipse-pde_3.5.2-9_i386.deb
  to main/e/eclipse/eclipse-pde_3.5.2-9_i386.deb
eclipse-platform-data_3.5.2-9_all.deb
  to main/e/eclipse/eclipse-platform-data_3.5.2-9_all.deb
eclipse-platform_3.5.2-9_i386.deb
  to main/e/eclipse/eclipse-platform_3.5.2-9_i386.deb
eclipse-plugin-cvs_3.5.2-9_i386.deb
  to main/e/eclipse/eclipse-plugin-cvs_3.5.2-9_i386.deb
eclipse-rcp_3.5.2-9_i386.deb
  to main/e/eclipse/eclipse-rcp_3.5.2-9_i386.deb
eclipse_3.5.2-9.debian.tar.gz
  to main/e/eclipse/eclipse_3.5.2-9.debian.tar.gz
eclipse_3.5.2-9.dsc
  to main/e/eclipse/eclipse_3.5.2-9.dsc
eclipse_3.5.2-9_all.deb
  to main/e/eclipse/eclipse_3.5.2-9_all.deb
libequinox-osgi-java_3.5.2-9_all.deb
  to main/e/eclipse/libequinox-osgi-java_3.5.2-9_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612738@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <niels@thykier.net> (supplier of updated eclipse package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 11 Feb 2011 14:15:40 +0100
Source: eclipse
Binary: eclipse eclipse-jdt eclipse-pde eclipse-platform eclipse-platform-data eclipse-plugin-cvs eclipse-rcp libequinox-osgi-java
Architecture: source all i386
Version: 3.5.2-9
Distribution: unstable
Urgency: low
Maintainer: Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Niels Thykier <niels@thykier.net>
Description: 
 eclipse    - Extensible Tool Platform and Java IDE
 eclipse-jdt - Eclipse Java Development Tools (JDT)
 eclipse-pde - Eclipse Plug-in Development Environment (PDE)
 eclipse-platform - Eclipse platform without plug-ins to develop any language
 eclipse-platform-data - Eclipse platform without plug-ins to develop any language (data)
 eclipse-plugin-cvs - Eclipse Team Integration (CVS support)
 eclipse-rcp - Eclipse Rich Client Platform (RCP)
 libequinox-osgi-java - Equinox OSGi framework
Closes: 611849 612738
Changes: 
 eclipse (3.5.2-9) unstable; urgency=low
 .
   * Bump version for sat4j. (Closes: #612738)
   * Backported patch for CVE-2010-4647. (Closes: #611849)
     - Fixes XSS in help browser application.
Checksums-Sha1: 
 d20db7eea322f9843dcc3fc4c6f5fc70a211a6ce 3184 eclipse_3.5.2-9.dsc
 a6b7a85c4ee1180e75514018100ae44e3335c785 101771 eclipse_3.5.2-9.debian.tar.gz
 56b1deba0acbeec2bb8fbeda362c4197a10bfad2 47152 eclipse_3.5.2-9_all.deb
 5cb0bd493f7e44b4455e634e08d427d534e90915 40005396 eclipse-jdt_3.5.2-9_i386.deb
 8de008f4934f4a53a9bb0001e149985277c4da4e 16097226 eclipse-pde_3.5.2-9_i386.deb
 0c63ddc3b62ddca52b304c8d81090d738b516990 40309078 eclipse-platform_3.5.2-9_i386.deb
 042af5f4785c29bc35b32f311bf93c05b2d6bfcd 29628286 eclipse-platform-data_3.5.2-9_all.deb
 ecabf5f0a7fbbe0cf962b69388412285e6875fbd 3190052 eclipse-plugin-cvs_3.5.2-9_i386.deb
 5c27366c32d732adda891640c30c656e6cc1d412 15734574 eclipse-rcp_3.5.2-9_i386.deb
 7e377e64ef2fadafd4799af906342926b5ddf09c 3222918 libequinox-osgi-java_3.5.2-9_all.deb
Checksums-Sha256: 
 c44579883cabe57faff8bccf835033bd174e898fdc457f0b2bc8da24279f368c 3184 eclipse_3.5.2-9.dsc
 76a9422b388af004f372449c18123213949c52417b81caa2ff1a5480f5799b77 101771 eclipse_3.5.2-9.debian.tar.gz
 048c16fdbde8255e75efb4815e0b99c90f5bb5385291e8cdb7165e569bf1272b 47152 eclipse_3.5.2-9_all.deb
 733886ef0cc0cca60a6aca1a00ecf7b063e7813bf3fee8238443d87ed9fb4762 40005396 eclipse-jdt_3.5.2-9_i386.deb
 733935f58b0651ecad175d78dcf4f089c7f3855e65cc97dbf8ded0cf34fa99cf 16097226 eclipse-pde_3.5.2-9_i386.deb
 fe595b0dd5a2bdd6c13877ae9cc890201e544c92321be90af9aa56d8ec4d2fb8 40309078 eclipse-platform_3.5.2-9_i386.deb
 ab9e21765d59d72c84321329452a73372603c3c991edecbde3c4633ec6f086f7 29628286 eclipse-platform-data_3.5.2-9_all.deb
 7323f0067cbc444c79821d8fe70b6e547ca55771c3219c2f54f2b86e3e61534c 3190052 eclipse-plugin-cvs_3.5.2-9_i386.deb
 81c463b65991e8a8ede21e7c4e0936dfbabc1a20e2e6c6d355359dd2c816ff99 15734574 eclipse-rcp_3.5.2-9_i386.deb
 eb16cd07c636e1317501dabc0fa62b913cf691ef37e972625cca92f940316ede 3222918 libequinox-osgi-java_3.5.2-9_all.deb
Files: 
 045e6a6a6e5e6d863945732a18954e70 3184 devel optional eclipse_3.5.2-9.dsc
 71c89dccd6964d87932414e836fda9f6 101771 devel optional eclipse_3.5.2-9.debian.tar.gz
 29cc00eef582cb626d715906daea55f5 47152 devel optional eclipse_3.5.2-9_all.deb
 85f483c2701ee391c609375f2d6ae21a 40005396 devel optional eclipse-jdt_3.5.2-9_i386.deb
 ed542965d00845edd188a92efdbdbb4f 16097226 devel optional eclipse-pde_3.5.2-9_i386.deb
 79534b0e07cd7a3ced9220af2429953d 40309078 devel optional eclipse-platform_3.5.2-9_i386.deb
 68ada72e56fe899a7f65240da6bb827c 29628286 devel optional eclipse-platform-data_3.5.2-9_all.deb
 934d175b8353501c5442384e2f5a998e 3190052 devel optional eclipse-plugin-cvs_3.5.2-9_i386.deb
 3053df1b22a43718a375b07fb9d20dd0 15734574 devel optional eclipse-rcp_3.5.2-9_i386.deb
 9d5d402e2121081e6b70597f0a18db94 3222918 java optional libequinox-osgi-java_3.5.2-9_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNVT06AAoJEAVLu599gGRCUfEQAJWLsf4CDlP5GE78tgWKtCN7
35SrJSKJaTwgE3EF3nduWtRUU3oLOzyA9OyjM1g32mvMquk+BFAI31+4lRVYG5cJ
MeV/GEeB1I9VfDkopFfdW4qGYdIZJ2S3hPQ5C0D0azcaWt5b/UsyEu8194SLpQaB
G1p6o4ZhNpDtbetiIsqmPIR8Vl9OBjHwMqH+sbEDyfiG7pFeoM/E4/lkG9luxInn
N96D5vkbLlxyYlrITzj3wYdHJzHWBYfS9I/KR6XgRg0iBr1QYeGoeYbyfY5uAb8s
+lzOve6gqO2YdVH34RPBchnCg/OfdThLUY3xAt1PY0SA1thvGDzb1Yn0YmZlRZXh
T8FbZWn+dTuA5Xexws5vAigne5NnpaotsxzPgbvgHejwKG3bGOVSwjeN7dABQ1DU
kSFgTAx9vtyKzHVOkiHaUTspyYQ3TylkhKh9pmP3c0rU91q4AY1XfKJ4vGUVnxAj
zwqAVBsZRxhj8+UI/LT7cNaocG+0qWEV7dsdbaYkXmTrlkjpEdsdBFqgyAFcxjoX
aN/obDn0lId9ZvwVVY5ugraxuvoKx5AtIwBNYl7vm7RNNkWfMO4C8z/SX8Jd7Q50
3CWkD+V+AsaZbmylsw5EVSyHtE10u5qND9eOUxDYigE2XR71CGTakBmxnNpqAITu
OR4BZ+HQ4Y7jwOk9N0cM
=X1Z+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Mar 2011 07:35:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:53:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.